/*
 * Decompiled with CFR 0.152.
 * 
 * Could not load the following classes:
 *  com.alibaba.fastjson.JSON
 *  com.deepexi.scd.basic.domain.dto.CalculateEnterpriseApiDTO
 *  com.deepexi.scd.calculate.jobs.CdpConfigAutoCreateHandler
 *  com.deepexi.scd.common.enums.business.SourceTypeEnum
 *  com.deepexi.scd.common.system.AppRuntimeEnv
 *  org.apache.rocketmq.common.message.MessageExt
 *  org.apache.rocketmq.spring.annotation.RocketMQMessageListener
 *  org.springframework.beans.factory.annotation.Autowired
 *  org.springframework.beans.factory.annotation.Value
 *  org.springframework.boot.autoconfigure.condition.ConditionalOnProperty
 *  org.springframework.stereotype.Component
 *  org.springframework.transaction.annotation.Transactional
 */
package com.deepexi.scd.calculate.mq.consumer;

import com.alibaba.fastjson.JSON;
import com.deepexi.scd.basic.domain.dto.CalculateEnterpriseApiDTO;
import com.deepexi.scd.calculate.jobs.CdpConfigAutoCreateHandler;
import com.deepexi.scd.calculate.mq.consumer.AbstractConsumer;
import com.deepexi.scd.common.enums.business.SourceTypeEnum;
import com.deepexi.scd.common.system.AppRuntimeEnv;
import java.nio.charset.StandardCharsets;
import java.util.Arrays;
import java.util.Optional;
import org.apache.rocketmq.common.message.MessageExt;
import org.apache.rocketmq.spring.annotation.RocketMQMessageListener;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

@Component
@RocketMQMessageListener(nameServer="${deepexi.scd.rocketmq.name-server}", topic="${deepexi.scd.rocketmq.topic.approved-enterprise}", consumerGroup="${deepexi.scd.rocketmq.consumer.approved-enterprise.group}")
@ConditionalOnProperty(prefix="deepexi.scd.rocketmq", value={"enable"}, havingValue="true", matchIfMissing=true)
public class EnterpriseOperationApprovePassConsumer
extends AbstractConsumer {
    private static final Logger log = LoggerFactory.getLogger(EnterpriseOperationApprovePassConsumer.class);
    @Value(value="${deepexi.scd.rocketmq.topic.approved-enterprise}")
    private String topic;
    @Autowired
    private CdpConfigAutoCreateHandler cdpConfigAutoCreateHandler;
    @Autowired
    private AppRuntimeEnv appRuntimeEnv;

    @Override
    @Transactional(rollbackFor={Exception.class})
    protected void readMessage(MessageExt message) {
        this.appRuntimeEnv.setLoginType(SourceTypeEnum.SYSTEM.name());
        this.appRuntimeEnv.setTenantId("32036895cf5a41a38e5d1d9af7831218");
        this.appRuntimeEnv.setUserId("11942");
        String body = new String(message.getBody(), StandardCharsets.UTF_8);
        log.info("运营通过接口发送审核通过的数据为消费数据为：{}", (Object)body);
        CalculateEnterpriseApiDTO dto = Optional.ofNullable(JSON.parseObject((String)body, CalculateEnterpriseApiDTO.class)).orElse(null);
        if (dto == null || dto.getEnterpriseId() == null) {
            log.info("接口消费数据接收为空，无法生成碳披露配置");
        } else {
            this.cdpConfigAutoCreateHandler.insertConfigs(Arrays.asList(dto), Arrays.asList(dto.getEnterpriseId()));
        }
    }

    @Override
    protected String getTopic() {
        return this.topic;
    }
}

